QGIS Application - Feature request #3919
'and’ is undefined keyword in C++
2006-03-24 01:53 PM - Mateusz Loskot -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Projection Support

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 13943
Description

| noticed that in file
qgis/src/widgets/projectionselector/qgsprojectionselector.cpp
is used not real C++ keyword: and

In C++ it's reserved word but it's not supported - should not be used.

Here is what C++ Standard states in 2.11 Keywords chapter:

Furthermore, the alternative representations shown in
Table 4 for certain operators and punctuators (2.5) are
reserved and shall not be used otherwise:

Table 4: alternative representations
and and_eq bitand bitor compl not
not_eq or or_eq xor xor_eq

VC++ does not support it. If GCC does, then please use -ansi switch (-pedantic is
also recommended) to exclude such not portable extensions.

History

#1 - 2006-03-24 01:54 PM - Mateusz Loskot -

| fixed this bug. Patch is attached.

#2 - 2006-03-25 02:12 AM - Gary Sherman
- Resolution set to fixed
- Status changed from Open to Closed

Already fixed in HEAD

#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
